Name: hwdata
Summary: Hardware identification and configuration data
Version: 0.44
Release: 17tr
License: GPL
Group: Trustix Official
Source: hwdata-%{version}.tar.gz
Source1: hwdata-module-info
# This is really http://pciids.sourceforge.net/pci.ids
Source2: hwdata-pci.ids
# This is really http://www.linux-usb.org/usb.ids
Source3: hwdata-usb.ids
Source4: hwdata-pcitable
Patch1: hwdata-trustix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
hwdata contains various hardware identification and configuration data,
such as the pci.ids database, the XFree86 Cards and MonitorsDb databases.

%package devel
Summary: Hardware identification and configuration data development part
Group: Trustix Official

%description devel
This is the parts of hwdata that is used during build.

%prep

%setup -q
%patch1 -p1


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/hwdata/module-info
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/hwdata/pci.ids
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/hwdata/usb.ids
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/hwdata/pcitable

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE COPYING
%dir /usr/share/hwdata
%config /usr/share/hwdata/pci.ids
%config /usr/share/hwdata/pcitable
%config /usr/share/hwdata/upgradelist
%config /usr/share/hwdata/usb.ids
%config /usr/share/hwdata/printertable
%config /usr/share/hwdata/module-info
/usr/share/hwdata/README.makeids
/usr/share/hwdata/translations

%files devel
%defattr(-,root,root)
/usr/share/hwdata/makeids


%changelog
* Thu Jan 22 2004 Erlend Midttun <erlendbm at trustix dot org> 0.44-12tr
- Updated hardware lists.

* Mon Jan 11 2004 Chr. Toldnes <christht at trustix dot org> 0.44-11tr
- rebuilt.

* Mon Dec 15 2003 Chr. Toldnes <christht at trustix dot org> 0.44-10tr
- Namechange: sym53c8xx -> sym53c8xx_2

* Tue Aug 19 2003 Chr. Toldnes <christht at trustix dot com> 0.44-9tr
- Rebuilt and retagged

* Fri Aug 15 2003 Omar Kilani <ok@mailcall.com.au> 0.44-8ok
- Synced pci.ids/pcitable with Redhat's hwdata-0.89.0-1.1
- Added aic79xx to hwdata-module-info

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 0.44-7tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.44-6tr
- Big rebuild

* Tue Apr  8 2003 Erlend Midttun <erlendbm at trustix dot com> 0.44-5em
- Adopted module-info

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.44-4em
- Rebuilt against glibc 2.3.2.

* Mon Jan 13 2003 Erlend Midttun <erlendbm at trustix dot com> 0.44-3em
- Split makeids into a separate package to keep perl out of the base
  install.

* Fri Aug 29 2002 Roland Kruse <rolandk at trustix dot com> 0.44-2rk
- Removed /usr/X11R6/lib/X11/Cards
- Included makeids script

* Fri Aug 29 2002 Roland Kruse <rolandk at trustix dot com> 0.44-1rk
- Initial TSL version (required by kudzu)

* Tue Aug 13 2002 Bill Nottingham <notting@redhat.com> 0.44-1
- fix some of the Dell entries
- add cardbus controller id (#71198)
- add audigy mapping
- add NEC monitor (#71320)

* Tue Aug 13 2002 Preston Brown <pbrown@redhat.com> 0.43-1
- pci.id for SMC wireless PCI card (#67346)

* Sat Aug 10 2002 Mike A. Harris <mharris@redhat.com> 0.42-1
- Change default driver for old S3 based "Miro" card for bug (#70743)

* Fri Aug  9 2002 Preston Brown <pbrown@redhat.com> 0.41-1
- fix tabs in pci.ids
- Change pci ids for the PowerEdge 4 series again...

* Tue Aug  6 2002 Preston Brown <pbrown@redhat.com> 0.39-1
- Dell PERC and SCSI pci.id additions

* Tue Aug  6 2002 Mike A. Harris <mharris@redhat.com> 0.38-1
- Removed and/or invalid entries from Cards database BLOCKER (#70802)

* Mon Aug  5 2002 Mike A. Harris <mharris@redhat.com> 0.37-1
- Changed Matrox G450 driver default options to fix bug (#66697)
- Corrected S3 Trio64V2 bug in Cards file (#66492)

* Tue Jul 30 2002 Bill Nottingham <notting@redhat.com> 0.36-1
- tweaks for Dell Remote Assisstant cards (#60376)

* Thu Jul 26 2002 Mike A. Harris <mharris@redhat.com> 0.35-1
- Updated Cards db for CT69000
- Various ATI cleanups and additions to Cards and pcitable
- Updated S3 Trio3D to default to "vesa" driver (#59956)

* Tue Jul 23 2002 Bill Nottingham <notting@redhat.com> 0.33-1
- Eizo monitor updates (#56080, <triad@df.lth.se>)
- pci.ids updates, corresponding pcitable updates
- pcilint for pcitable 

* Fri Jun 28 2002 Bill Nottingham <notting@redhat.com> 0.32-1
- switch de4x5 back to tulip

* Mon Jun 24 2002 Mike A. Harris <mharris@redhat.com> 0.31-1
- Modified ATI entries in pcitable to be able to autodetect the FireGL 8700
  and FireGL 8800 which both have the same ID, but different subdevice ID's.
  Added entries to Cards database for the 8700/8800 as well.

* Tue May 28 2002 Mike A. Harris <mharris@redhat.com> 0.30-1
- Reconfigured Cards database to default to XFree86 4.x for ALL video
  hardware, since 3.3.6 support is being removed.  Video cards not
  supported natively by 4.x will be changed to use the vesa or vga
  driver, or completely removed as unsupported.

* Tue Apr 17 2002 Michael Fulbright <msf@redhat.com> 0.14-1
- another megaraid variant

* Mon Apr 15 2002 Michael Fulbright <msf@redhat.com> 0.13-1
- fix monitor entry for Dell 1600X Laptop Display Panel

* Fri Apr 12 2002 Bill Nottingham <notting@redhat.com> 0.13-1
- more aacraid

* Tue Apr  9 2002 Bill Nottingham <notting@redhat.com> 0.12-1
- another 3ware, another megaraid

* Fri Apr  5 2002 Mike A. Harris <mharris@redhat.com> 0.11-1
- Added commented out line for some Radeon 7500 cards to Cards database.

* Tue Apr  2 2002 Mike A. Harris <mharris@redhat.com> 0.10-1
- Fixed i830 entry to use driver "i810" not "i830" which doesn't exist

* Mon Apr  1 2002 Bill Nottingham <notting@redhat.com> 0.9-1
- fix rebuild (#62459)
- SuperSavage ids (#62101)
- updates from pci.ids

* Mon Mar 18 2002 Bill Nottingham <notting@redhat.com> 0.8-2
- fix errant space (#61363)

* Thu Mar 14 2002 Bill Nottingham <notting@redhat.com> 0.8-1
- nVidia updates

* Wed Mar 13 2002 Bill Nottingham <notting@redhat.com> 0.7-1
- lots of pcitable updates

* Tue Mar  5 2002 Mike A. Harris <mharris@redhat.com> 0.6-1
- Updated Cards database

* Mon Mar  4 2002 Mike A. Harris <mharris@redhat.com> 0.5-1
- Built new package with updated database files for rawhide.

* Fri Feb 22 2002 Bill Nottingham <notting@redhat.com> 0.3-1
- return of XFree86-3.3.x

* Wed Jan 30 2002 Bill Nottingham <notting@redhat.com> 0.1-1
- initial build
